Skip to content
Start here

Create a new Finetune

ai.finetunes.create(FinetuneCreateParams**kwargs) -> FinetuneCreateResponse
POST/accounts/{account_id}/ai/finetunes

Creates a new fine-tuning job for a Workers AI model using custom training data.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers AI Write
ParametersExpand Collapse
account_id: str
model: str
name: str
description: Optional[str]
public: Optional[bool]
ReturnsExpand Collapse
class FinetuneCreateResponse:
id: str
formatuuid
created_at: datetime
formatdate-time
model: str
modified_at: datetime
formatdate-time
name: str
public: bool
description: Optional[str]

Create a new Finetune

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
finetune = client.ai.finetunes.create(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    model="model",
    name="name",
)
print(finetune.id)
{
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "model": "model",
    "modified_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "public": true,
    "description": "description"
  },
  "success": true
}
Returns Examples
{
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "model": "model",
    "modified_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "public": true,
    "description": "description"
  },
  "success": true
}